#ifndef QGENERATERANDPASS_H
#define QGENERATERANDPASS_H


#include <QString>
#include <QTime>

class QGenerateRandPass
{

public:
  QGenerateRandPass();
  QGenerateRandPass(bool,bool,bool,bool,int);

  void SetUseNumber(bool);
  void SetUseChar(bool);
  void SetUseSpecialChar(bool);
  void SetUseUpperChar(bool);
  void SetPassLength(int);

  int NumberRand(int, int);
  QString GeneratePass();

private:

  char GenNumber();
  char GenChar();
  char GenUpperChar();
  char GenSpecialChar();


  //-----------------------
  bool UseNumber;
  bool UseChar;
  bool UseSpecialChar;
  bool UseUpperChar;
  int PassLength;
  QByteArray SpecialCharList;

};

#endif // QGENERATERANDPASS_H
